(Опрос) Поддержку какой версии IE вы считаете обязательной?

Тема в разделе "Вёрстка (HTML, CSS)", создана пользователем IvanCo, 18 янв 2013.

?

Поддержку каких версий IE вы считаете обязательной на данный момент?

  1. 6 и более новых

    3 голосов
    3,2%
  2. 7 и более новых

    18 голосов
    18,9%
  3. 8 и более новых

    37 голосов
    38,9%
  4. 9 и новее

    37 голосов
    38,9%
  1. DLL_23Rus

    DLL_23Rus

    Регистрация:
    11 фев 2013
    Сообщения:
    59
    Симпатии:
    8
    В связи с не малым процентом людей, которые еще пользуются Win XP, думаю поддержка 8-ки лишней не будет.
     
  2. durant

    durant

    Регистрация:
    3 мар 2013
    Сообщения:
    22
    Симпатии:
    2
    во многих источниках считают, что начинать поддержку нужно 6-ой, но на мой взгляд 8-ой и выше вполне достаточно
     
  3. Yandexppl

    Yandexppl

    Регистрация:
    6 мар 2013
    Сообщения:
    2
    Симпатии:
    0
    ответил 8+ т.к. судя по статистике идёт на уменьшение 6 и 7 поэтому лишняя трата времени....
     
  4. ZED

    ZED

    Регистрация:
    7 мар 2013
    Сообщения:
    9
    Симпатии:
    1
    Думаю что следует поддерживать только последние версии браузеров. Хватит уже работой впустую заниматься, и поддерживать допотопные технологии. Кому плохо выглядит сайт на древнем софте -- пусть пеняют на себя.
     
  5. zek24

    zek24

    Регистрация:
    10 ноя 2012
    Сообщения:
    162
    Симпатии:
    23
    многое, если не все зависит от заказчика.
    Для себя 8+, если нет дополнительных требований.
     
  6. vupik

    vupik

    Регистрация:
    6 ноя 2012
    Сообщения:
    58
    Симпатии:
    12
    Все убрать и создателя пристрелить:banghead: , они своими IE издеваются над вебмастерами. Кто эти люди кто использует IE? Я ни одного не знаю, это походу сотрудники Microsoft только их там вроде до 300 тыс человек работает)! Сколько они крови попили у верстальщиков!?
     
  7. gavag

    gavag

    Регистрация:
    5 янв 2013
    Сообщения:
    109
    Симпатии:
    10
    Я не проголосовал, солидарен с теми кто за то что бы убрать ИЕ раз и навсегда. С этим ИЕ одни проблемы (хотя разработчики и стремятся т.с. ити в ногу со временем). Однако, ничего кроме как горькой оскомины от ИЕ не остается.
     
  8. Flexx

    Flexx

    Регистрация:
    8 янв 2013
    Сообщения:
    122
    Симпатии:
    85
    Многие заказчики до сих пор пользуются 7IE,хотя уже давно пора его на полку.Я за 7 и 8 тоже )))
     
  9. Jack Jumper

    Jack Jumper

    Регистрация:
    4 апр 2013
    Сообщения:
    14
    Симпатии:
    0
    Стараюсь делать для своих сайтов поддержку 7-й версии и выше. 0,3% пользователей IE 6, как по мне, не стоят того, чтобы заморачиваться с поддержкой их браузера.
     
  10. rostbox

    rostbox

    Регистрация:
    16 мар 2013
    Сообщения:
    4
    Симпатии:
    2
    Поддерживаю только от IE8, ниже версии не считаю необходимым поддерживать, так как на каждом сайте вешаю баннер с предупреждением.
     
  11. Neith

    Neith

    Регистрация:
    13 мар 2013
    Сообщения:
    29
    Симпатии:
    4
    Хотелось бы конечно от 8 и выше, но заказчики порой диктуют свои правила. Хотя, если честно, я не совсем представляю людей, сидящих с седьмого IE или ниже. По крайней мере мне такие не встречались.
    А вообще, да, верно сказано. Сами виноваты. Многие за жадностью своей неуемной предпочитают сидеть на допотопных системах, а другие по этой причине должны страдать.
    Многие компании реально удавятся перед обновлением систем в своих офисах.

     
  12. sitecreator

    sitecreator

    Регистрация:
    1 фев 2013
    Сообщения:
    291
    Симпатии:
    65
    Пришел к выводу, что поддерживать стоит ie9 и ie10. делаю в своих проектах поддержку и ie8, но ограниченную, т. е. смотрю чтобы верстка совсем не развалилась, а на отсутствие теней, скруглений и пр. в данном случае наплевать. поддерживать ie7 вообще нету смысла, уж больно в нем древние и кривые технологии.
     
  13. slava1

    slava1

    Регистрация:
    22 фев 2013
    Сообщения:
    5
    Симпатии:
    0
    Я ориентируюсь только на последние версии. По мне так весь IE должен вымруть. За столько лет так ничего нормального из него и не получилось.
     
  14. web2us

    web2us

    Регистрация:
    10 мар 2013
    Сообщения:
    0
    Симпатии:
    0
    последние две максимум, остальные - проблема остальных
     
  15. rwa

    rwa

    Регистрация:
    3 дек 2012
    Сообщения:
    14
    Симпатии:
    2
    Для интернет-магазинов сложно быть столь категоричным, так как клиенты уходят. У нас есть клиенты (бюджетники, женщины 40+) которые делают не малые заказы, но у них ИЕ 5.5. После установки нового мессенджера для общения с консультантом, у них сайт перестал открываться в ИЕ из-за того что он не понимал такой JS. Пришлось откатывать изменения, так как не хотелось терять клиента и уговорить обновить ИЕ не думаю что удалось бы. И таких примеров не мало, когда клиенты упорно сидят на старых браузерах и ругаются на нас почему у них сайт иногда едет.
     
    Neith нравится это.
  16. sitecreator

    sitecreator

    Регистрация:
    1 фев 2013
    Сообщения:
    291
    Симпатии:
    65
    Какие то сказки рассказываете про "немало". я про ie5.5, который появился в лохматых 90х.
    и про "немалые" заказы в этой связи сложно поверить.
     
  17. Neith

    Neith

    Регистрация:
    13 мар 2013
    Сообщения:
    29
    Симпатии:
    4
    Вполне реально на самом деле. Просто зачастую всё, что связано с IT не воспринимается всерьез, и уж тем более не совсем укладывается в голове у «реалистов»(в противовес «интернетчикам»), что системы нужно еще и обновлять, причем не за бесплатно. Вроде как работает и ладно. С другой стороны, никто не отменяет и возможности немалых инвестиций в другие сферы своего бизнеса, например оптовые закупки какого-либо товара через интернет-магазины.

    Закупает она себе колготочки оптом где-нибудь из Турции, или из соседнего города, заказывает доставку ящиками, приняла - пошла на рынок торговать. Сдался ей навороченный компьютер, с которого она и не бывает более нигде кроме как на этом сайте. Еще пример, тоже женщина 40+. Лично моя тетка. Косметикой промышляет. Заходит только на тот самый косметический сайтик, периодически мэйл.ру, всё. Комп допотопный, браузеры - соответственно, тоже не лучше. Деньги при этом есть, постоянно ездит отдыхать, да по санаториям мотается, живет одна, всё тратит на себя. Не открывался бы сайт, точно так же развернулась бы и ушла бы на другой. На крайний случай, позвонила бы узнать, почему сайт не открывается. Итог - потерянный клиент.
     
  18. sitecreator

    sitecreator

    Регистрация:
    1 фев 2013
    Сообщения:
    291
    Симпатии:
    65
    Так это их проблемы. желают вести бизнес через internet, но не желают потратить несколько минут чтобы вести его грамотнее и успешнее? Для современного FireFox или Opera не нужно никакое навороченное железо, хватит железа из 90х.

    И обычно у таких "теток" не компьютер, а клоака из вирусов, червей и прочей гадости. За компьютером как и за полостью рта нужно следить, т.е. посещать стоматолога, иначе можно остаться с гнилыми зубами.
     
  19. Neith

    Neith

    Регистрация:
    13 мар 2013
    Сообщения:
    29
    Симпатии:
    4
    Кстати да. Даже не IE, а чаще в моем опыте встречались именно Opera или Firefox на компьютерах «тётечек». Да и то лишь по той причине, что кто-то установил им это вместе с пиратской виндой еще в самом начале жизни компьютера. И действительно, со временем это всё превращается в жуткую свалку. В итоге, эта тугая, непоротливая, скрипящая махина пока не помрет, так и не сменится на что-то более новое. Остается перекреститься, взяв грех на душу
     
  20. Grek

    Grek

    Регистрация:
    18 янв 2013
    Сообщения:
    172
    Симпатии:
    18
    Много раз задавался этим вопросом при верстке) В результате на сегодня на ие6 ставлю заглушку ("Ваш браузер устарел, обновите"), а вот под ие7 и выше приходится верстать, хотя это и стоит много нервов и хорошего знания Словаря русской нецензурной лексики) В результате приходится подключать внешние скрипты (типа СSS3 - HTML 5, @media) для ие, делать хаки и отдельные файлы стилей, копаться в JS, что занимает немало времени от общей верстки. Так что пока для меня ие7 - функциональная поддержка, ие8 - полная.